Package org.apache.sling.jackrabbit.usermanager

# Class PrincipalNameGenerator.NameInfo

java.lang.Object
org.apache.sling.jackrabbit.usermanager.PrincipalNameGenerator.NameInfo

Enclosing interface:
  PrincipalNameGenerator

public static class PrincipalNameGenerator.NameInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`NameInfo(String principalName, boolean makeUnique)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPrincipalName()`
`boolean`
`isMakeUnique()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameInfo

public NameInfo(String principalName, boolean makeUnique)

## Method Details

### getPrincipalName

public String getPrincipalName()

### isMakeUnique

public boolean isMakeUnique()